package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.Attach;
import com.uas.platform.b2b.model.FileUpload;


public interface AttachService {

	/**
	 * 根据文件ID获取附件
	 * @param id
	 * @return
	 */
	public Attach getAttachById(Long id);
	
	/**
	 * 保存一个文件路径
	 * @param attach
	 * @return
	 */
	public Attach saveAttachPath(Attach attach);
	/**
	 * 上传附件到数据库
	 * @param uploadItem
	 * @return
	 */
	public Attach uploadAndSaveAttach(FileUpload uploadItem);
	/**
	 * 上传附件到数据库
	 * @param uploadItem
	 * @return
	 */
	public Attach uploadAttach(FileUpload uploadItem);
	/**
	 * 生成文件的完整路径
	 * @param fileName 文件名称
	 * @param dirName 第一级目录
	 * @param userName 第二级目录
	 * @return
	 */
	public String getFilePath(String fileName, String dirName, String userName);
}
